//
//  AWTableController.h
//  AWTableView
//
//  Created by Ikuo Kudo on 12/07/20.
//  Copyright (c) 2012年  All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AWTableCell.h"
#import "AWTableViewController.h"
#import "AWTableCellContainer.h"

@protocol AWTableControllerDataSource <NSObject>

- ( int ) numberOfCellsInTableView: ( AWTableController* ) controller;                                                 // セルの合計数
- ( AWTableCell* ) controller:( AWTableController* ) controller cellForTableAtIndexPth: ( AWTableIndexPath* ) indexPath;  // セルを返す

@end

@interface AWTableController : UIView

@property ( nonatomic, assign ) AWTableViewController* controller;
@property ( nonatomic, assign ) int rowMax;
@property ( nonatomic, assign ) int columnMax;
@property ( nonatomic, assign ) int beginStageIndex;
@property ( nonatomic, assign ) int endStageIndex;
@property ( nonatomic, assign ) id <AWTableControllerDataSource> dataSource;

- ( id ) initByController: ( AWTableViewController* ) ctrl;
- ( void ) reloadDataWithStages: ( NSMutableArray* ) containers;
- ( void ) insertCellAtRow: ( int ) row column: ( int ) column cell: ( AWTableCell* ) cell;
- ( void ) insertCellAtTail: ( AWTableCell* ) cell;
- ( void ) removeCellAtRow: ( int ) row column: ( int ) column ;
- ( AWTableCell* ) cellAtIndexPath: ( AWTableIndexPath* ) index;
- ( void ) addReusableCell: ( AWTableCell* ) cell;
- ( AWTableCell* ) dequeueReusableCellWithIdentifier: ( NSString * ) identifier;
- ( void ) layoutSubviewsWithRect: ( CGRect ) rect;
- ( void ) removeContainer: ( AWTableCellContainer* ) container;

@end
