//
//  Constants.m
//  AWTableView
//
//  Created by Ikuo Kudo on 12/07/19.
//  Copyright (c) 2012年  All rights reserved.
//

#import "Constants.h"

// シングルトン
static Constants* sharedInstance = nil;
@implementation Constants

+ ( Constants* ) shared
{
    @synchronized(self){
        if ( sharedInstance == nil ) {
            sharedInstance = [ [ self alloc ] init ];
        }
    }
    return sharedInstance;
}

+ ( BOOL ) isPhone
{
    if ( UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPhone ) return YES; else return NO;
}

+ ( BOOL ) isPad
{
    if ( UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad ) return YES; else return NO;
}

+ ( BOOL ) isPortrait
{
    UIInterfaceOrientation orientation = ( UIInterfaceOrientation ) [ [ UIDevice currentDevice ] orientation ];
    
    if ( orientation == UIInterfaceOrientationPortrait
        || orientation == UIInterfaceOrientationPortraitUpsideDown )
    {
        return YES;
    }
    else{
        return NO;
    }
}

  
+ ( BOOL ) isLandscape
{
    UIInterfaceOrientation orientation = ( UIInterfaceOrientation ) [ [ UIDevice currentDevice ] orientation ];
    
    if ( orientation == UIInterfaceOrientationLandscapeLeft
        || orientation == UIInterfaceOrientationLandscapeRight )
    {
        return YES;
    }
    else {
        return NO;
    }
}


@end
